Subject: Re: bug#41781: 27.0.91; [PATCH] Eldoc describes the wrong function when reading an expression from the minibuffer

From: Daniel Koning <[email-masked]>
Date: Tue, 23 Jun 2020 11:42:39 -0500

Stefan Monnier <[email-masked]> writes:

>> Right now, unless overridden by eshell or another package like it, the
>> minibuffer is always in `minibuffer-inactive-mode',
>
> I don't think that's true in the sense of "you get the behavior of
> minibuffer-inactive-mode" (most importantly you don't get its keymap).
> It may be true in the sense of "that's what `major-mode` says", but
> that's rather irrelevant.

I see your point, but I doubt most users and elisp writers would agree
that it's irrelevant what the value of `major-mode' says in plain
English. We should be able to count on drawing some conclusions from it.

Generally, the use of one major for two very different keymaps and
program states (while circumventing the problems by changing things à la
carte) strikes me as a pattern worth deprecating. But I think we agree
on that.

Daniel